Set container timezone
PATCH /container/<containerId>/timezone
Description
Set the container timezone.
Path parameters
| Param | Description |
|---|---|
containerId |
Container Id. |
Query parameters
none
Body
| Param | Type | Required | Description |
|---|---|---|---|
timezone |
string | Yes | Timezone for the container. See List available timezones for all available timezones. |
Return codes
| Error code | Reason |
|---|---|
204 |
Success. |
400 |
Invalid body. |
401 |
Invalid or missing token. |
403 |
Insufficient permissions (required: API+CONTAINER_MANAGEMENT). |
404 |
Container not found. |
Example
Curl request:
curl \
-X GET 'https://api.infrasonar.com/container/123/timezone' \
-H 'Authorization: Bearer XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX'
--data-raw '{
"timezone": "Europe/Amsterdam"
}'